version: '3.8'

services:
  jupyter:
    build: /opt/jupyter_gpu
    image: cvtt/jupyter_gpu:v1.0.3
    container_name: cvtt_gpu_jupyter
    runtime: nvidia
    environment:
      - JUPYTER_ENABLE_LAB=yes
    volumes:
      - /opt/jupyter_gpu/notebooks:/workspace
      - /opt/jupyter_gpu/jupyter_settings/user-settings:/root/.jupyter/lab/user-settings
      - /opt/jupyter_gpu/jupyter_settings/workspaces:/root/.jupyter/lab/workspaces
    ports:
      - "8888:8888"
